IFNAMES(1)

NAME
ifnames - Extract CPP conditionals from a set of files

SYNOPSIS
ifnames [OPTION] ... [FILE] ...

DESCRIPTION
Scan all of the C source FILES (or the standard input, if none are given) and write to the standard output a sorted list of all the identifiers that appear in those files in `#if', `#elif', `#ifdef', or `#ifndef' directives. Print each identifier on a line, followed by a space-separated list of the files in which that identifier occurs.

-h, --help
    print this help, then exit

-V, --version
    print version number, then exit

AUTHOR
Written by David J. MacKenzie and Paul Eggert.

REPORTING BUGS
Report bugs to <bug-autoconf@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
autoconf(1), automake(1), autoreconf(1), autoupdate(1), autoheader(1), autoscan(1), config.guess(1), config.sub(1), ifnames(1), libtool(1).

The full documentation for ifnames is maintained as a Texinfo manual. If the info and ifnames programs are properly installed at your site, the command

    info ifnames

should give you access to the complete manual.